Trustpilot reviews
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-trustpilot-reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business": "hubspot.com",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-trustpilot-reviews"
payload = {
"business": "hubspot.com",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({business: 'hubspot.com', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-trustpilot-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "trustpilot_business_reviews",
"business": "hubspot.com",
"max_items": 2,
"business_found": true,
"partial": false,
"human": "# Trustpilot business reviews\n\n- **Business:** hubspot.com\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 1.16 MB",
"machine": {
"total_items": 2,
"reviews": [
{
"id": "6abaecae2f9f38fb34c76ef3",
"url": "https://www.trustpilot.com/reviews/6abaecae2f9f38fb34c76ef3",
"title": "A Highly Flawed CMS with Even Worse Customer Support",
"text": "In theory, HubSpot CMS is decent, but not without its share of problems. We’ve experienced multiple instances where we make no changes to our site, but HubSpot seems to enjoy making updates for the sa",
"rating": 1,
"written_date": "2026-09-29T00:39:42.000Z",
"experienced_date": "2026-09-27T00:00:00.000Z",
"is_unprompted": true,
"is_verified": false,
"useful_count": 0,
"language": "en",
"author": {
"id": "6abaec2c00f873edfd48f3c4",
"name": "Ross",
"country": "US",
"review_count": 1,
"image": "https://user-images.trustpilot.com/6abaec2c00f873edfd48f3c4/73x73.png",
"url": "https://www.trustpilot.com/users/6abaec2c00f873edfd48f3c4"
},
"business_reply": null
},
{
"id": "6aba25a0b0c45dc9764c02e3",
"url": "https://www.trustpilot.com/reviews/6aba25a0b0c45dc9764c02e3",
"title": "To all new companies considering…",
"text": "To all new companies considering HubSpot: DON'T! Unless you're prepared to pay an outrageous amount.\n\nHubSpot is a good CRM system, but they milk their customers COMPLETELY dry. Nothing respectable ab",
"rating": 1,
"written_date": "2026-09-28T10:30:24.000Z",
"experienced_date": "2026-09-28T00:00:00.000Z",
"is_unprompted": true,
"is_verified": false,
"useful_count": 0,
"language": "en",
"author": {
"id": "5f71e406a3275caf89ab2953",
"name": "Thom",
"country": "NL",
"review_count": 7,
"image": null,
"url": "https://www.trustpilot.com/users/5f71e406a3275caf89ab2953"
},
"business_reply": null
}
],
"proxy_traffic_bytes": 1215970
},
"total_points": 2
}Product reviews
Trustpilot reviews
Get customer reviews for a Trustpilot business by domain or URL: rating, text, and author. 1 point per returned record.
POST
/
functions
/
v1
/
run-trustpilot-reviews
Trustpilot reviews
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.